Subject: announcement of a freeware mac program

From: Liedong Zheng <[email-masked]>
Date: Fri, 11 Jun 1993 17:47:31 -0400

Dear netters:

Ever getting tired staring at a chinese text on a screen or
on a printout? Here is an alternative :-)

Mandarin is a small Macintosh freeware program I wrote in the
past few weeks. It reads in a  Chinese (GB/BIG5 coded) text,
and *speaks* out mandarin through  Macintosh's speakers loudly. :-)
You can enjoy listening to mandarin chinese as you could a radio,
and better yet, Mandarin can run in the background, while
you are working on your term paper, viewing an image, or whatever
you feel like :-) It is also helpful for those who would want to
learn how to speak mandarin chinese, just run Mandarin in background,
and use any Chinese viewer in the front to display the characters.
This program is also a good tool for proofreading.
No special hardware is needed on your mac, just double-click, and
have fun.

Chinese OS is NOT required.

The program is uploaded to ifcss.org:software/mac/sound/mandarin.hqx
as well as  on cnd.org:pub/software/mac/sound/mandarin.hqx.
Mac users please read the readme file for more info on these two
sites BEFORE downloading.

I would also like to take this opportunity to point out one
interesting fact that seems to be neglected, or not very well
appreciated in this list.  Chinese computing does have some
peculiarities in that programmers have to deal with double byte
characters,  8-bit transfer on networks, and Chinese input
method is more complicated than English input method where
there are only 26 English letters that comprise of tens of
thousands of words. However, although there are about 12,000
chinese characters(Xin1 Hua2 Zi4 Dian3), and >370,000 entries in,
Han4 Yu3 Da4 Ci2 Dian3, there are only about 400 chinese phones,
and that number is <1300 if different tones are considered, this is
certainly more advantageous than the situation in English world
where almost every word has a unique pronunciation, and this
makes sound chinese computing more feasible than its
English counterpart. I wish there will be more people who
appreciate this fact and explore in this field. I also wish
there will be a chinese sound play program on PC before too
long. :-)

Acknowledgement
================

I would like to thank Jim Reekes for his DTS archive. I would
also like to thank Hua Xia Wen Zhai editorial staff for their
continuing and enthusiastic support of community service.
The publication of this magazine has substantially promoted
chinese computing in may aspects, at least it introduced me to
world of chinese computing.

Legal stuff
===========

All rights reserved. This program can be freely distributed
provided the whole package is not altered, modified in any way.
The sound.lib may not be used without otherwise the
permission from the author.

Please send your suggestions as well as bug reports to me.

*****  Sit back and enjoy!  *****

Liedong Zheng, June, 1993
[email-masked]